rtapi_snprintf(3rtapi)

NAME

rtapi_snprintf, rtapi_vsnprintf - Perform snprintf-like string formatting

SYNTAX

 int rtapi_snprintf(char *buf, unsigned long int size, const char *fmt, ...)

 int rtapi_vsnprintf(char *buf, unsigned long int size, const char *fmt, va_list apfB)

ARGUMENTS
As for snprintf(3) or vsnprintf(3).

DESCRIPTION
These functions work like the standard C printf functions, except that a reduced set of formatting operations are supported.

In particular: formatting of long long values is not supported. Formatting of floating-point values is done as though with %A even when other formats like %f are specified.

REALTIME CONSIDERATIONS
May be called from non-realtime, init/cleanup, and realtime code.

RETURN VALUE
The number of characters written to buf.

SEE ALSO
printf(3)